{% extends '@layout/default.html.twig' %}

{% block title %}Declaratie pe propria raspundere | razvanionascu.com{% endblock %}

{% block content %}
    <div class="alert alert-warning" role="alert">
        <i class="fas fa-exclamation-triangle"></i>
        Va rugam sa deschideti aplicatia in browser. La utilizarea din cadrul altei aplicatii (Facebook, Linkedin) pot aparea probleme legate de formatul in care sunt trimise datele, pdf-ul nu va fi generat si veti fi redirectionati la pagina principala.
    </div>
    <div class="jumbotron alert alert-primary" role="alert">
        <h1><i class="fas fa-info-circle"></i> Sunteti in siguranta</h1>
        <p>
            Acest site nu salveaza informatiile introduse de dumneavoastra. Datele sunt preluate din formular si
            introduse
            direct in documentul PDF.
        </p>
        <hr>
        <p>
            Modelul oferit de MAI poate fi gasit <a
                    href="https://www.mai.gov.ro/wp-content/uploads/2020/03/MODEL-Declaratie-pe-proprie-raspundere.pdf">aici</a>.
            Din cauza incarcarii serverului este posibil sa aveti dificultati in a descarca documentul. In acest caz
            puteti incerca si acest
            <a href="{{ asset('pdf/model_adeverinta.pdf') }}" target="_blank">url</a>.
        </p>

    </div>

    <div class="row">
        <div class="col-sm-12">
            <form method="post" action="{{ path('pdf') }}" target="_blank" id="form">
                <div class="card">
                    <div class="card-header">
                        Date personale
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="numeSiPrenume">
                                Nume si prenume
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="nume" id="numeSiPrenume"
                                   placeholder="Nume si prenume"
                                   required>
                        </div>
                        <div class="form-group">
                            <label for="prenumeTata">Prenumele tatalui
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="numeTata" id="prenumeTata"
                                   placeholder="Prenumele tatalui"
                                   required>
                        </div>
                        <div class="form-group">
                            <label for="prenumeMama">Prenumele mamei
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="numeMama" id="prenumeMama"
                                   placeholder="Prenumele mamei"
                                   required>
                        </div>
                        <div class="form-group">
                            <label for="cnp">CNP
                                <span class="required-mark">*</span>
                            </label>
                            <input type="number" class="form-control" name="cnp" id="cnp" placeholder="CNP" required>
                        </div>
                        <div class="form-group">
                            <label for="serieCI">Serie si numar CI
                                <span class="required-mark">*</span>
                            </label>
                            <div class="row">
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="serieCI" id="serieCI"
                                           placeholder="Serie CI"
                                           required>
                                </div>
                                <div class="form-group col-sm-9">
                                    <input type="number" class="form-control" name="numarCI" id="numarCI"
                                           placeholder="Numar CI"
                                           required>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="localitate">Localitate
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="oras" id="localitate" placeholder="Localitate"
                                   required>
                        </div>
                        <div class="form-group">
                            <label for="judet">Judet/Sector
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="judet" id="judet" placeholder="Judet/Sector"
                                   required>
                        </div>

                        <div class="form-group">

                            <div class="form-group">
                                <label for="adresa">Adresa
                                    <span class="required-mark">*</span>
                                </label>
                                <input type="text" class="form-control" name="adresa" id="adresa" placeholder="Strada"
                                       required>
                            </div>
                            <div class="row">
                                <div class="form-group col-sm-3">
                                    <input type="number" class="form-control" name="numar" id="nrStrada"
                                           placeholder="Numar"
                                           required>
                                </div>
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="bloc" id="bloc"
                                           placeholder="Bloc si scara" required>
                                </div>
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="etaj" id="etaj" placeholder="Etaj"
                                           required>
                                </div>
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="apartament" id="apartament"
                                           placeholder="Apartament"
                                           required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-header">
                        Adresa de resedinta
                    </div>
                    <div class="card-body">
                        <div class="alert alert-primary" role="alert">
                            <i class="fas fa-info-circle"></i>
                            Se completeaza doar in cazul in care adresa de resedinta este diferita fata de cea din CI.
                        </div>

                        <div class="form-group">
                            <label for="localitate">Localitate
                            </label>
                            <input type="text" class="form-control" name="rOras" id="rLocalitate"
                                   placeholder="Localitate">
                        </div>
                        <div class="form-group">
                            <label for="judet">Judet/Sector
                            </label>
                            <input type="text" class="form-control" name="rJudet" id="rJudet"
                                   placeholder="Judet/Sector">
                        </div>
                        <div class="form-group">
                            <div class="form-group">
                                <label for="adresa">Adresa</label>
                                <input type="text" class="form-control" name="rAdresa" id="adresaresedinta"
                                       placeholder="Strada">
                            </div>
                            <div class="row">
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="rNumar" id="nrStradaresedinta"
                                           placeholder="Numar">
                                </div>
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="rBloc" id="blocresedinta"
                                           placeholder="Bloc si scara">
                                </div>
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="rEtaj" id="etajresedinta"
                                           placeholder="Etaj">
                                </div>
                                <div class="form-group col-sm-3">
                                    <input type="text" class="form-control" name="rApartament" id="apartamentresedinta"
                                           placeholder="Apartament">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-header">
                        Detalii deplasare
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="form-group col-sm-6">
                                <label for="judet">Ora inceput
                                    <span class="required-mark">*</span>
                                </label>
                                <input type="text" class="form-control timepicker" name="oraInceput" id="orainceput"
                                       placeholder="Ora inceput"
                                       required>
                            </div>
                            <div class="form-group col-sm-6">
                                <label for="judet">Ora sfarsit
                                    <span class="required-mark">*</span>
                                </label>
                                <input type="text" class="form-control timepicker" name="oraSfarsit" id="orasfarsit"
                                       placeholder="Ora sfarsit"
                                       required>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="adresapornire">De la adresa
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="adresaPornire" id="adresapornire"
                                   placeholder="Adresa pornire"
                                   required>
                        </div>
                        <div class="form-group">
                            <label for="adresadestinatie">La adresa
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="adresaDestinatie" id="adresadestinatie"
                                   placeholder="Adresa destinatie" required>
                        </div>
                        <div class="form-group">
                            <label for="scop">Scop
                                <span class="required-mark">*</span>
                            </label>
                            <div id="scop">
                                <div class="form-group">
                                    <input type="radio" name="scop" class="scop" id="scop-work" value="work" required>
                                    <label class="form-check-label" for="scop-work" style="display: inline">deplasarea
                                        între domiciliu și locul de muncă, atunci când activitatea profesională este
                                        esențială și nu poate fi organizată sub formă de lucru la distanță sau
                                        deplasarea în interes profesional care nu poate fi amânată
                                    </label>
                                </div>
                                <div class="form-group">
                                    <input type="radio" name="scop" class="scop" class="" id="scop-medic" value="medic"
                                           required>
                                    <label class="form-check-label" for="scop-medic" style="display: inline">consult
                                        medical de specialitate care nu poate fi amânat;
                                    </label>
                                </div>
                                <div class="form-group">
                                    <input type="radio" name="scop" class="scop" id="scop-cumparaturi"
                                           value="cumparaturi" required>
                                    <label class="form-check-label" for="scop-cumparaturi" style="display: inline">deplasare
                                        pentru cumpărături de primă necesitate la unități comerciale din zona de
                                        domiciliu;</label>
                                </div>
                                <div class="form-group">
                                    <input type="radio" name="scop" class="scop" id="scop-batrani" value="batrani"
                                           required>
                                    <label class="form-check-label" for="scop-batrani" style="display: inline">deplasare
                                        pentru asigurarea asistenței pentru persoane în vârstă, vulnerabile sau
                                        pentru însoțirea copiilor;</label>
                                </div>
                                <div class="form-group">
                                    <input type="radio" name="scop" class="scop" id="scop-sport" value="sport" required>
                                    <label class="form-check-label" for="scop-sport" style="display: inline">deplasare
                                        scurtă, lângă domiciliu, pentru desfășurarea de activități fizice individuale,
                                        în aer liber, cu excluderea oricărei forme de activitate sportivă
                                        colectivă;</label>
                                </div>
                                <div class="form-group">
                                    <input type="radio" name="scop" class="scop" id="scop-animal" value="animal"
                                           required>
                                    <label class="form-check-label" for="scop-animal" style="display: inline">deplasare
                                        scurtă, lângă domiciliu, legată de nevoile animalelor de companie</label>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <input type="radio" name="scop" class="scop" id="scop-other" value="other"
                                                   required>
                                            <label class="form-check-label" for="scop-other" style="display: inline">deplasare
                                                pentru rezolvarea următoarei situații urgente</label>
                                        </div>
                                        <div class="col-sm-12">
                                            <textarea id="scopothertext" name="scopOtherText" class="form-control"
                                                      rows="5"
                                                      disabled></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-body">
                        <div class="form-group">
                            <label for="datacompletarii">Data completarii
                                <span class="required-mark">*</span>
                            </label>
                            <input type="text" class="form-control" name="dataCompletarii" id="datacompletarii"
                                   placeholder="Data"
                                   required>
                        </div>
                    </div>
                </div>

                <div class="form-group col-sm-12">
                    <input type="checkbox" class="form-check-input" id="savedata">
                    <label class="form-check-label" for="savedata" aria-describedby="save-data-help">Salveaza
                        datele personale</label>
                    <small id="save-data-help" class="form-text text-muted">
                        <i class="fas fa-info-circle"></i> Datele sunt salvate in memoria browserului dumneavoastra si
                        vor fi incarcate automat la urmatoarea vizita.
                    </small>
                </div>

                <div class="form-group col-sm-12">
                    <input type="checkbox" class="form-check-input" id="gdpr"  required>
                    <label class="form-check-label" for="gdpr" >Sunt de acord ca datele introduse sa fie preluate din formular si introduse direct in documentul PDF fara a suferi vreo procesare.</label>

                </div>

                <div class="form-group">
                    <button type="submit" class="btn btn-primary">Genereaza PDF</button>
                </div>
            </form>
        </div>
    </div>

{% endblock %}

{% block javascript %}
{{ parent() }}
<script type="text/javascript">

$( document ).ready(function() {

   var keys = [
       'numeSiPrenume',
       'prenumeTata',
       'prenumeMama',
       'cnp',
       'serieCI',
       'numarCI',
       'localitate',
       'judet',
       'adresa',
       'nrStrada',
       'bloc',
       'etaj',
       'apartament',

       'rLocalitate',
       'rJudet',
       'adresaresedinta',
       'nrStradaresedinta',
       'blocresedinta',
       'etajresedinta',
       'apartamentresedinta',

   ];

   keys.forEach(function(key) {
     $('#' + key).val(localStorage.getItem(key));
   });

    $('#form').on('submit', function() {
        if ($('#savedata').is(":checked")){
            keys.forEach(function(key) {
                localStorage.setItem(key,$('#' + key).val());
           });
        }
    });


    $('#datacompletarii').datepicker({
        dateFormat: "dd/mm/yy",
    });

    $( ".timepicker" ).timepicker({
        timeFormat: 'HH:mm',
        interval: 30,
        change: function(time) {
            $(this).trigger('change');
        }
    });

    $('.scop').on('click', function() {
        $('#scopothertext').prop('disabled', 'other' !== $(this).val());

    });

    $('input').on('change focus blur keyup', function() {
        var $this= $(this);
        if (!$this.val().length){
            $this.removeClass('is-valid');
            $this.addClass('is-invalid');
        } else {
            $this.addClass('is-valid');
            $this.removeClass('is-invalid');
        }
    });
});
</script>
{% endblock %}
